Loading...
Searching...
No Matches
gas2ios_convert Namespace Reference

## Functions

| parse_alias (inlines)
| parse_alias_fft (inlines)
| add_f32 (inlines)
| remove_end (inlines)
| expan_ldr1 (inlines)
| expan_ldr2 (inlines)
| add_Llabel (inlines)
| main ()

## Detailed Description

      Copyright 2013-15 ARM Limited and Contributors.
      All rights reserved.

      Redistribution and use in source and binary forms, with or without
      modification, are permitted provided that the following conditions are met:
        * Redistributions of source code must retain the above copyright
          notice, this list of conditions and the following disclaimer.
        * Redistributions in binary form must reproduce the above copyright
          notice, this list of conditions and the following disclaimer in the
          documentation and/or other materials provided with the distribution.
        * Neither the name of ARM Limited nor the
          names of its contributors may be used to endorse or promote products
          derived from this software without specific prior written permission.

      THIS SOFTWARE IS PROVIDED BY ARM LIMITED AND CONTRIBUTORS "AS IS" AND
      ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
      WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
      DISCLAIMED. IN NO EVENT SHALL ARM LIMITED AND CONTRIBUTORS BE LIABLE FOR ANY
      DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
      (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
      LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
      ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
      (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
      SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Function Documentation

## add_f32()

gas2ios_convert.add_f32 | ( |  | inlines | ) |

Definition at line 121 of file gas2ios_convert.py.

## add_Llabel()

gas2ios_convert.add_Llabel | ( |  | inlines | ) |

Definition at line 255 of file gas2ios_convert.py.

## expan_ldr1()

gas2ios_convert.expan_ldr1 | ( |  | inlines | ) |

Definition at line 148 of file gas2ios_convert.py.

## expan_ldr2()

gas2ios_convert.expan_ldr2 | ( |  | inlines | ) |

Definition at line 195 of file gas2ios_convert.py.

## main()

gas2ios_convert.main | ( |  | ) |

Definition at line 297 of file gas2ios_convert.py.

## parse_alias()

gas2ios_convert.parse_alias | ( |  | inlines | ) |

Definition at line 34 of file gas2ios_convert.py.

## parse_alias_fft()

gas2ios_convert.parse_alias_fft | ( |  | inlines | ) |

Definition at line 85 of file gas2ios_convert.py.

## remove_end()

gas2ios_convert.remove_end | ( |  | inlines | ) |

Definition at line 138 of file gas2ios_convert.py.